using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Result.DataCenter;
using GxPress.Service.Interface.PlatformData;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace GxPress.Api.AdminControllers
{
    /// <summary>
    /// 平台数据
    /// </summary>
    [Route("api/admin/platform")]
    [ApiController]
    [Authorize]
    public class AdminPlatformDataController : Controller
    {
        private readonly IPlatformDataService platformDataService;
        public AdminPlatformDataController(IPlatformDataService platformDataService)
        {
            this.platformDataService = platformDataService;
        }
        /// <summary>
        /// 平台数据
        /// </summary>
        /// <returns></returns>
        [HttpGet("data")]
        public async Task<PlatformDataResult> GetPlatformDataResult()
        {
            var result = new PlatformDataResult();
            result.PlatformOperationDataResult = await platformDataService.GetPlatformDataAsync();
            result.UserIncreaseResult = await platformDataService.GetUserIncreaseResult();
            result.UserAreaDistributingResults = await platformDataService.GetUserAreaDistributingResults();
            result.UserVipProportionResult = await platformDataService.GetUserVipProportionResult();
            result.OnlineUserResult = await platformDataService.GetOnlineUserResult();
            result.PlatformContentDataResult = await platformDataService.GetPlatformContentDataResult();
            result.ContentTypeDistributingResult = await platformDataService.GetContentTypeDistributingResults();
            result.ContentOlogyDistributingResult = new List<ContentOlogyDistributingResult>();
            result.PayContentstatisticsResult = await platformDataService.GetPayContentstatisticsResult();
            result.ContentIncreaseResult = await platformDataService.GetContentIncreaseResult();
            result.PlatformAccumulativeVisitResult = await platformDataService.GetPlatformAccumulativeVisitResult();
            result.VisitPortResult = new List<VisitPortResult>();
            result.PlatformCommerceResult =await platformDataService.GetPlatformCommerceResult();
            result.ContentSaleRankingResults = new List<ContentSaleRankingResult>();
            result.ContentSaleProportionResults = new List<ContentSaleProportionResult>();
            return result;
        }
    }
}